package com.dsic.gj_erp.bean.jhgk;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
@TableName("ydjh_import_new")
public class YdjhImportNew {

    @TableId(type = IdType.AUTO)
    private String id;

    @ExcelProperty("序号")
    private String xh;

    @ExcelProperty("产品")
    private String dcCh;

    @ExcelProperty("批量")
    private String dcPl;

    @ExcelProperty("分段")
    private String dcFd;

    @ExcelProperty("板数")
    private String 板数;

    @ExcelProperty("上料\n完成")
    @DateTimeFormat("yyyy/MM/dd")
    private String 上料完成;

    @ExcelProperty("型材抛丸")
    @DateTimeFormat("yyyy/MM/dd")
    private String 型材抛丸;

    @ExcelProperty("抛丸\n完成")
    @DateTimeFormat("yyyy/MM/dd")
    private String 抛丸完成;

    @ExcelProperty("一垮\n龙门\n板数")
    private String 一垮龙门板数;

    @ExcelProperty("一垮\n数控\n板数")
    private String 一垮数控板数;

    @ExcelProperty(value = "切割完成",index = 10)
    @DateTimeFormat("yyyy/MM/dd")
    private String 切割完成1;

    @ExcelProperty("二垮\n面板\n板数")
    private String 二跨面板板数;

    @ExcelProperty(value = "切割完成",index = 12)
    @DateTimeFormat("yyyy/MM/dd")
    private String 切割完成2;

    @ExcelProperty("二垮\n数控\n板数")
    private String 二跨数控板数;

    @ExcelProperty(value = "切割完成",index = 14)
    @DateTimeFormat("yyyy/MM/dd")
    private String 切割完成3;

    @ExcelProperty("三垮\n平铁\n板数")
    private String 三跨平铁板数;

    @ExcelProperty(value = "切割完成",index = 16)
    @DateTimeFormat("yyyy/MM/dd")
    private String 切割完成4;

    @ExcelProperty("曲平铁曲完成")
    @DateTimeFormat("yyyy/MM/dd")
    private String 曲平铁曲完成;

    @ExcelProperty("三垮\n数控\n板数")
    private String 三跨数控板数;

    @ExcelProperty(value = "切割完成",index = 19)
    @DateTimeFormat("yyyy/MM/dd")
    private String 切割完成5;

    @ExcelProperty("曲外板曲完成")
    @DateTimeFormat("yyyy/MM/dd")
    private String 曲外板曲完成;

    @ExcelProperty("四区\n腹板\n板数")
    private String 四区腹板板数;

    @ExcelProperty(value = "切割完成",index = 22)
    @DateTimeFormat("yyyy/MM/dd")
    private String 切割完成6;

    @ExcelProperty("四区\n数控\n板数")
    private String 四区数控板数;

    @ExcelProperty(value = "切割完成",index = 24)
    @DateTimeFormat("yyyy/MM/dd")
    private String 切割完成7;

    @ExcelProperty("面板挤边完成")
    @DateTimeFormat("yyyy/MM/dd")
    private String 面板挤边完成;

    @ExcelProperty("面板切割完成")
    @DateTimeFormat("yyyy/MM/dd")
    private String 面板切割完成;

    @ExcelProperty("七垮\n型材\n米数")
    private String 七跨型材米数;

    @ExcelProperty("型材切割完成")
    @DateTimeFormat("yyyy/MM/dd")
    private String 型材切割完成;

    @ExcelProperty("光电  完成")
    @DateTimeFormat("yyyy/MM/dd")
    private String 光电完成;

    @ExcelProperty("小组\n配送\n完成")
    @DateTimeFormat("yyyy/MM/dd")
    private String 小组配送完成;

    @ExcelProperty("备注")
    private String 备注;

    private String fdxq;

    private String 文件名;

    private boolean nonBom=true;

    private String mbcz;

    private String qfxqrqxz;

    private String qfxqrqdz;

    private String zt="0";

    private String bzr;

    private String bzrq;

    private String shry;

    private String shrq;

    public void updateToBz(String bzr,String bzrq){
        this.bzr=bzr;
        this.bzrq=bzrq;
    }

    public void updateToSh(String shr,String shrq){
        this.shry =shr;
        this.shrq=shrq;
    }

    public void tj(){
        this.zt=ZtEnum.TJ.ordinal()+"";
    }

    public void sh(){
        this.zt=ZtEnum.SH.ordinal()+"";
    }

    public enum ZtEnum{
        BZ,TJ,SH
    }

}
