package com.dsic.gj_erp.bean.pgd;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dsic.gj_erp.bean.jhgk.YdjhImport;
import com.dsic.gj_erp.bean.jhgk.YdjhImportNew;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="PgdTzjh对象", description="")
public class PgdTzjh implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "图纸状态")
    private String tzzt;

    @ApiModelProperty(value = "船号")
    private String czbh;

    @ApiModelProperty(value = "批量")
    private String pl;

    @ApiModelProperty(value = "分段")
    private String fd;

    @ApiModelProperty(value = "领取表下发日期")
    private String lqbxfrq;

    @ApiModelProperty(value = "领取表接收日期")
    private String lqbjsrq;

    @ApiModelProperty(value = "套料图下发日期")
    private String tltxfrq;

    @ApiModelProperty(value = "套料图接收日期")
    private String tltjsrq;

    @ApiModelProperty(value = "切割需求日期")
    private String qgxqrq;

    @ApiModelProperty(value = "前方需求小组期")
    private String qfxqrqxz;

    @ApiModelProperty(value = "前方需求大组期")
    private String qfxqrqdz;

    @ApiModelProperty(value = "状态")
    private String zt;

    @ApiModelProperty(value = "反馈原因")
    private String fkyy;

    private String xfry;

    private String fkrq;

    private String xfrq;

    private String bzry;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    private String bzrq;

    private String fkry;


    public static PgdTzjh of(YdjhImport jh, String pl){
        PgdTzjh tzjh = new PgdTzjh();
        tzjh.setCzbh(jh.getDcCh());
        tzjh.setPl(pl);
        tzjh.setQfxqrqxz(jh.getQfxqrqxz());
        tzjh.setQfxqrqdz(jh.getQfxqrqdz());
        tzjh.setZt("01");
        return tzjh;
    }

    public static PgdTzjh of(YdjhImportNew jh, String pl){
        PgdTzjh tzjh = new PgdTzjh();
        tzjh.setCzbh(jh.getDcCh());
        tzjh.setPl(pl);
        tzjh.setQfxqrqxz(jh.getQfxqrqxz());
        tzjh.setQfxqrqdz(jh.getQfxqrqdz());
        tzjh.setZt("01");
        return tzjh;
    }
}
